# $Revision: 1.19 $, $Date: 2006/05/11 20:56:01 $
# TODO
# - cron errors:
#awk: line 36: regular expression compile failed (bad class -- [], [^] or [)
#[\[
#awk: line 36: syntax error at or near ]
#awk: line 87: regular expression compile failed (bad class -- [], [^] or [)
#[\[
#awk: line 87: syntax error at or near ]
Summary:	AT Computing System Activity Report - a sar clone for Linux
Summary(pl):	Atsar - odpowiednik uniksowego programu sar dla Linuksa
Name:		atsar
Version:	1.7
Release:	3
License:	GPL
Group:		Daemons
Source0:	ftp://ftp.atcomputing.nl/pub/tools/linux/%{name}_linux-%{version}.tar.gz
# Source0-md5:	2aa73a4a99dd176a02c5336889d8b028
Source1:	%{name}.init
Source2:	%{name}.cron
Patch0:		%{name}-runfrompath.patch
URL:		ftp://ftp.atcomputing.nl/pub/tools/linux/
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
ExclusiveOS:	Linux
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Atsar can be used to measure the load on the most relevant system
resources, such as CPU, disk, memory and network. Long-term analysis
can be done via cron, by maintaining log files with statistical
information. Short-term analysis can be done by starting the command
atsar with an interval and a number of samples. The current version of
atsar gathers statistics about the utilization of CPU's, disks, memory
and swap, serial lines and network (TCP/IP v4 and v6).

%description -l pl
Atsar przydaje si do pomiarw obcienia najbardziej istotnych
zasobw systemowych, takich jak procesor, dysk, pami i sie. Dziki
poczeniu z cronem moliwe jest otrzymanie logw z informacj
statystyczn, przydatnych do dugoterminowych analiz. Krtkoterminowe
analizy mog by wykonywane przez bezporednie uruchomienie programu
atsar z podaniem parametrw takich jak ilo prbek i odstp czasowy
midzy prbkami. Aktualna wersja programu atsar gromadzi informacje o
wykorzystaniu procesora, dyskw, pamici (operacyjnej i wymiany),
czy szeregowych i sieci (TCP/IP v4 i v6).

%prep
%setup -q -n %{name}_linux-%{version}
%patch -p1

%build
for r in atsar atsadc \*.o ;do
	find -iname $r -exec rm -v {} \;
done
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,/var/log/atsar} \
	$RPM_BUILD_ROOT/etc/{rc.d/init.d,cron.d}

for s in scripts/atsa1 atsar_linux.conf ;do
	cat $s | sed -e 's|usr/local/bin|%{_bindir}|g' > sed.$$
	mv -f sed.$$ $s
done

install atsar/atsar atsadc/atsadc scripts/atsa1	\
	scripts/atsaftp scripts/atsahttp $RPM_BUILD_ROOT%{_bindir}
install man/* $RPM_BUILD_ROOT%{_mandir}/man1

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/atsar
install %{SOURCE2} $RPM_BUILD_ROOT/etc/cron.d/atsar
install atsar_linux.conf $RPM_BUILD_ROOT%{_sysconfdir}/atsar.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_bindir}/atsa1
%service atsar restart

%preun
if [ "$1" = "0" ]; then
	%service atsar stop
	/sbin/chkconfig --del atsar
fi

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/atsar
%attr(755,root,root) %{_bindir}/atsadc
%attr(755,root,root) %{_bindir}/atsa1
%attr(755,root,root) %{_bindir}/atsaftp
%attr(755,root,root) %{_bindir}/atsahttp
%{_mandir}/man1/atsar.1*
%{_mandir}/man1/atsadc.1*
%dir /var/log/atsar
%attr(754,root,root) %config /etc/rc.d/init.d/atsar
%config(noreplace) %verify(not md5 mtime size) /etc/cron.d/atsar
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/atsar.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: atsar.spec,v $
Revision 1.19  2006/05/11 20:56:01  glen
- rel 3

Revision 1.18  2006/03/08 13:15:12  glen
- default cron has errors

Revision 1.17  2006/02/24 15:20:04  glen
- use %service

Revision 1.16  2005/12/12 13:44:45  glen
- adapterized (sorted %verify attrs)

Revision 1.15  2005/05/28 00:04:19  zbyniu
- added semicolons in for loops

Revision 1.14  2004/11/20 15:25:26  qboosh
- standard BuildRoot, Summary cosmetics

Revision 1.13  2004/11/05 10:40:37  paladine
- spaces->tabs
- cosmetics

Revision 1.12  2004/09/11 18:06:29  wolf
- rel 2
- correct group

Revision 1.11  2004/07/08 20:06:24  areq
- 1.7

Revision 1.10  2003/08/06 16:30:33  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.9  2003/07/29 14:17:58  qboosh
- added missing Requires(): chkconfig or PreReq: rc-scripts

Revision 1.8  2003/05/26 16:24:46  malekith
- massive attack: adding Source-md5

Revision 1.7  2003/05/25 05:45:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2002/12/12 01:33:19  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.5  2002/10/10 11:47:29  marcus
- use new %doc

Revision 1.4  2002/04/05 19:35:41  qboosh
- some fixes and standardizations

Revision 1.3  2002/04/05 13:16:07  kondi
- Makefile clean target is broken, emulating "make clean" in spec

Revision 1.2  2002/04/04 10:58:47  kondi
- cleanups
